aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/UserScripts
diff options
context:
space:
mode:
authorJaKooLit <jimmielovejay.com>2024-01-01 15:13:32 +0900
committerJaKooLit <jimmielovejay.com>2024-01-01 15:13:32 +0900
commit16621bef0e8e3419f82389ba841b97db40a555b1 (patch)
tree01d154902acde99d3e110072259a9d72f1eee4af /config/hypr/UserScripts
parent978cb01c7794ca6aabc613810b23698f94fad298 (diff)
- Breaking Changes.
- Quick Edit script moved to user scripts - I understand some users wants to use other editor - RofiBeats moved to user scripts - This is because users wants their own stations :) - RofiBeats keybinds changed to SUPER SHIFT M keybind - Keybinds to change layout SUPER ALT L - Wlogout Script adjusted with 4K. - Wallpaper Scripts are moved to UserScripts. This is because if users has a different location of wallpapers and also wants a different animations
Diffstat (limited to 'config/hypr/UserScripts')
-rwxr-xr-x[-rw-r--r--]config/hypr/UserScripts/00-Readme0
-rwxr-xr-xconfig/hypr/UserScripts/QuickEdit.sh53
-rwxr-xr-xconfig/hypr/UserScripts/RofiBeats.sh48
-rwxr-xr-xconfig/hypr/UserScripts/Wallpaper.sh24
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperRandom.sh35
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperSelect.sh86
6 files changed, 246 insertions, 0 deletions
diff --git a/config/hypr/UserScripts/00-Readme b/config/hypr/UserScripts/00-Readme
index de251df0..de251df0 100644..100755
--- a/config/hypr/UserScripts/00-Readme
+++ b/config/hypr/UserScripts/00-Readme
diff --git a/config/hypr/UserScripts/QuickEdit.sh b/config/hypr/UserScripts/QuickEdit.sh
new file mode 100755
index 00000000..9c7cdffc
--- /dev/null
+++ b/config/hypr/UserScripts/QuickEdit.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+defaultDir="$HOME/.config/hypr/configs"
+userDir="$HOME/.config/hypr/UserConfigs"
+
+menu(){
+ printf "1. view Env-variables\n"
+ printf "2. view Window-Rules\n"
+ printf "3. view Startup_Apps\n"
+ printf "4. view User-Keybinds\n"
+ printf "5. view Monitors\n"
+ printf "6. view Laptop-Keybinds\n"
+ printf "7. view User-Settings\n"
+ printf "8. view Default-Settings\n"
+ printf "9. view Default-Keybinds\n"
+}
+
+main() {
+ choice=$(menu | rofi -dmenu -config ~/.config/rofi/config-compact.rasi | cut -d. -f1)
+ case $choice in
+ 1)
+ kitty -e nano "$userDir/ENVariables.conf"
+ ;;
+ 2)
+ kitty -e nano "$userDir/WindowRules.conf"
+ ;;
+ 3)
+ kitty -e nano "$userDir/Startup_Apps.conf"
+ ;;
+ 4)
+ kitty -e nano "$userDir/UserKeybinds.conf"
+ ;;
+ 5)
+ kitty -e nano "$userDir/Monitors.conf"
+ ;;
+ 6)
+ kitty -e nano "$userDir/Laptops.conf"
+ ;;
+ 7)
+ kitty -e nano "$userDir/UserSettings.conf"
+ ;;
+ 8)
+ kitty -e nano "$defaultDir/Settings.conf"
+ ;;
+ 9)
+ kitty -e nano "$defaultDir/Keybinds.conf"
+ ;;
+ *)
+ ;;
+ esac
+}
+
+main \ No newline at end of file
diff --git a/config/hypr/UserScripts/RofiBeats.sh b/config/hypr/UserScripts/RofiBeats.sh
new file mode 100755
index 00000000..405451f5
--- /dev/null
+++ b/config/hypr/UserScripts/RofiBeats.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+# Directory for icons
+iDIR="$HOME/.config/swaync/icons"
+
+# Note: You can add more options below with the following format:
+# ["TITLE"]="link"
+
+# Define menu options as an associative array
+declare -A menu_options=(
+ ["Lofi Girl ☕️🎶"]="https://play.streamafrica.net/lofiradio"
+ ["96.3 Easy Rock 📻🎶"]="https://radio-stations-philippines.com/easy-rock"
+ ["Ghibli Music 🎻🎶"]="https://youtube.com/playlist?list=PLNi74S754EXbrzw-IzVhpeAaMISNrzfUy&si=rqnXCZU5xoFhxfOl"
+ ["Top Youtube Music 2023 ☕️🎶"]="https://youtube.com/playlist?list=PLDIoUOhQQPlXr63I_vwF9GD8sAKh77dWU&si=y7qNeEVFNgA-XxKy"
+ ["Chillhop ☕️🎶"]="http://stream.zeno.fm/fyn8eh3h5f8uv"
+ ["SmoothChill ☕️🎶"]="https://media-ssl.musicradio.com/SmoothChill"
+ ["Relaxing Music ☕️🎶"]="https://youtube.com/playlist?list=PLMIbmfP_9vb8BCxRoraJpoo4q1yMFg4CE"
+ ["Youtube Remix 📻🎶"]="https://youtube.com/playlist?list=PLeqTkIUlrZXlSNn3tcXAa-zbo95j0iN-0"
+ ["Korean Drama OST 📻🎶"]="https://youtube.com/playlist?list=PLUge_o9AIFp4HuA-A3e3ZqENh63LuRRlQ"
+)
+
+# Function for displaying notifications
+notification() {
+ notify-send -u normal -i "$iDIR/music.png" "Playing now: $@"
+}
+
+# Main function
+main() {
+ choice=$(printf "%s\n" "${!menu_options[@]}" | rofi -dmenu -config ~/.config/rofi/config-rofi-Beats.rasi -i -p "")
+
+ if [ -z "$choice" ]; then
+ exit 1
+ fi
+
+ link="${menu_options[$choice]}"
+
+ notification "$choice"
+
+ # Check if the link is a playlist
+ if [[ $link == *playlist* ]]; then
+ mpv --shuffle --vid=no "$link"
+ else
+ mpv "$link"
+ fi
+}
+
+# Check if an online music process is running and send a notification, otherwise run the main function
+pkill -f http && notify-send -u low -i "$iDIR/music.png" "Online Music stopped" || main
diff --git a/config/hypr/UserScripts/Wallpaper.sh b/config/hypr/UserScripts/Wallpaper.sh
new file mode 100755
index 00000000..d75d2eab
--- /dev/null
+++ b/config/hypr/UserScripts/Wallpaper.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+DIR="$HOME/Pictures/wallpapers"
+SCRIPTSDIR="$HOME/.config/hypr/scripts"
+
+PICS=($(find ${DIR} -type f \( -name "*.jpg" -o -name "*.jpeg" -o -name "*.png" -o -name "*.gif" \)))
+RANDOMPICS=${PICS[ $RANDOM % ${#PICS[@]} ]}
+
+
+# Transition config
+FPS=60
+TYPE="random"
+DURATION=1
+BEZIER=".43,1.19,1,.4"
+SWWW_PARAMS="--transition-fps $FPS --transition-type $TYPE --transition-duration $DURATION --transition-bezier $BEZIER"
+
+
+swww query || swww init && swww img ${RANDOMPICS} $SWWW_PARAMS
+
+
+${SCRIPTSDIR}/PywalSwww.sh
+sleep 1
+${SCRIPTSDIR}/Refresh.sh
+
diff --git a/config/hypr/UserScripts/WallpaperRandom.sh b/config/hypr/UserScripts/WallpaperRandom.sh
new file mode 100755
index 00000000..13bd2995
--- /dev/null
+++ b/config/hypr/UserScripts/WallpaperRandom.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# This script will randomly go through the files of a directory, setting it
+# up as the wallpaper at regular intervals
+#
+# NOTE: this script uses bash (not POSIX shell) for the RANDOM variable
+
+pywal_refresh=$HOME/.config/hypr/scripts/RefreshNoWaybar.sh
+
+if [[ $# -lt 1 ]] || [[ ! -d $1 ]]; then
+ echo "Usage:
+ $0 <dir containing images>"
+ exit 1
+fi
+
+# Edit below to control the images transition
+export SWWW_TRANSITION_FPS=60
+export SWWW_TRANSITION_TYPE=simple
+
+# This controls (in seconds) when to switch to the next image
+INTERVAL=1800
+
+while true; do
+ find "$1" \
+ | while read -r img; do
+ echo "$((RANDOM % 1000)):$img"
+ done \
+ | sort -n | cut -d':' -f2- \
+ | while read -r img; do
+ swww img "$img"
+ $pywal_refresh
+ sleep $INTERVAL
+
+ done
+done
diff --git a/config/hypr/UserScripts/WallpaperSelect.sh b/config/hypr/UserScripts/WallpaperSelect.sh
new file mode 100755
index 00000000..5c3f2b94
--- /dev/null
+++ b/config/hypr/UserScripts/WallpaperSelect.sh
@@ -0,0 +1,86 @@
+#!/bin/bash
+
+SCRIPTSDIR="$HOME/.config/hypr/scripts"
+
+# WALLPAPERS PATH
+DIR="$HOME/Pictures/wallpapers"
+
+# Transition config
+FPS=30
+TYPE="wipe"
+DURATION=1
+BEZIER=".43,1.19,1,.4"
+SWWW_PARAMS="--transition-fps $FPS --transition-type $TYPE --transition-duration $DURATION"
+
+# Check if swaybg is running
+if pidof swaybg > /dev/null; then
+ pkill swaybg
+fi
+
+# Retrieve image files
+PICS=($(ls "${DIR}" | grep -E ".jpg$|.jpeg$|.png$|.gif$"))
+RANDOM_PIC="${PICS[$((RANDOM % ${#PICS[@]}))]}"
+RANDOM_PIC_NAME="${#PICS[@]}. random"
+
+# Rofi command
+rofi_command="rofi -show -dmenu -config ~/.config/rofi/config-wallpaper.rasi"
+
+menu() {
+ for i in "${!PICS[@]}"; do
+ # Displaying .gif to indicate animated images
+ if [[ -z $(echo "${PICS[$i]}" | grep .gif$) ]]; then
+ printf "$(echo "${PICS[$i]}" | cut -d. -f1)\x00icon\x1f${DIR}/${PICS[$i]}\n"
+ else
+ printf "${PICS[$i]}\n"
+ fi
+ done
+
+ printf "$RANDOM_PIC_NAME\n"
+}
+
+swww query || swww init
+
+main() {
+ choice=$(menu | ${rofi_command})
+
+ # No choice case
+ if [[ -z $choice ]]; then
+ exit 0
+ fi
+
+ # Random choice case
+ if [ "$choice" = "$RANDOM_PIC_NAME" ]; then
+ swww img "${DIR}/${RANDOM_PIC}" $SWWW_PARAMS
+ exit 0
+ fi
+
+ # Find the index of the selected file
+ pic_index=-1
+ for i in "${!PICS[@]}"; do
+ filename=$(basename "${PICS[$i]}")
+ if [[ "$filename" == "$choice"* ]]; then
+ pic_index=$i
+ break
+ fi
+ done
+
+ if [[ $pic_index -ne -1 ]]; then
+ swww img "${DIR}/${PICS[$pic_index]}" $SWWW_PARAMS
+ else
+ echo "Image not found."
+ exit 1
+ fi
+}
+
+# Check if rofi is already running
+if pidof rofi > /dev/null; then
+ pkill rofi
+ exit 0
+fi
+
+main
+
+sleep 0.5
+${SCRIPTSDIR}/PywalSwww.sh
+sleep 0.2
+${SCRIPTSDIR}/Refresh.sh
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage